distinct.cpp File Reference
`#include <gecode/int/distinct.hh>`
`#include <gecode/int/bool.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

void | Gecode::distinct (Home home, const IntVarArgs &x, IntPropLevel ipl=IPL_DEF)
| Post propagator for for all .
void | Gecode::distinct (Home home, const IntArgs &n, const IntVarArgs &x, IntPropLevel ipl=IPL_DEF)
| Post propagator for for all .
void | Gecode::distinct (Home home, const BoolVarArgs &b, const IntVarArgs &x, IntPropLevel ipl=IPL_DEF)
| Post propagator for for all .
void | Gecode::distinct (Home home, const IntVarArgs &x, int c, IntPropLevel ipl=IPL_DEF)
| Post propagator for for all .